### Method

# FwupdPlugin Device save_event

since: 2.0.0

#### Declaration [src]

    FuDeviceEvent*
    fu_device_save_event (
      FuDevice* self,
      const gchar* id
    )

#### Description [src]

Creates a new event with a specific ID and adds it to the device.

Available since: 2.0.0

#### Parameters

`id`

  Type: `const gchar*`

  The event ID, e.g. `usb:AA:AA:06`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuDeviceEvent`

A `FuDeviceEvent`.

The returned data is owned by the instance.